Order Management API
Get Order List
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| order_id | String | Body | Order ID |
| order_number | String | Body | Order number |
| residence_id | String | Body | Residence ID |
| residence_no | String | Body | Residence number |
| room_type_id | String | Body | Room type ID |
| room_type_name | String | Body | Room type name |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| order_state | String | Body | Order state, check_in or checked_out or checked_out |
| guests | []Object<guest> | Body | Guest information |
guest description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| guest_id | String | Body | Guest ID |
| guest_name | String | Body | Guest name |
| String | Body | ||
| phone | String | Body | Phone |
| id_card | String | Body | ID card |
| passport | String | Body | Passport |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_order_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724816274618,
"result": [
{
"order_id": "orx9a621c1ae77040d697bd2134700f57",
"order_number": "20250725064924573999",
"residence_id": "rorx9a621c1ae77040d697bd2134700f5",
"residence_no": "101",
"room_type_id": "rorx9a621c1ae77040d697bd2134700fg",
"room_type_name": "test",
"start_time": "2025-08-06 03:00:03",
"end_time": "2025-08-06 03:30:03",
"order_state": "check_in",
"guests": [
{
"guest_id": "gorx9a621c1ae77040d697bd2134700f5",
"guest_name": "dom",
"email": "test@akubela.com",
"phone": "1234567",
"id_card": "1234567890",
"passport": ""
}
]
}
]
}
Failure Return Example
Get Order Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| order_id | String | Body | Yes | Order ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| order_number | String | Body | Order number |
| residence_id | String | Body | Residence ID |
| residence_no | String | Body | Residence number |
| room_type_id | String | Body | Room type ID |
| room_type_name | String | Body | Room type name |
| start_time | String | Body | Start time, UTC |
| finish_time | String | Body | Finish time, UTC |
| order_state | String | Body | Order state, check_in or checked_out or checked_out |
| guests | []Object<guest> | Body | Guest information |
| source | String | Body | Source |
| remark | String | Body | Remark |
| enable_booking | Boolean | Body | Whether the booking is enable or not? true: enable false: disable |
guest description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| guest_id | String | Body | Guest ID |
| guest_name | String | Body | Guest name |
| String | Body | ||
| phone | String | Body | Phone |
| id_card | String | Body | ID card |
| passport | String | Body | Passport |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_order_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"order_id": "orx9a621c1ae77040d697bd2134700f57"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724816274618,
"result": {
"order_number": "20250725064924573999",
"residence_id": "rorx9a621c1ae77040d697bd2134700f5",
"residence_no": "101",
"room_type_id": "rorx9a621c1ae77040d697bd2134700fg",
"room_type_name": "test",
"start_time": "2025-08-06 03:00:03",
"end_time": "2025-08-06 03:30:03",
"order_state": "check_in",
"source": "SaaS",
"remark": "",
"enable_booking": false,
"guests": [
{
"guest_id": "gorx9a621c1ae77040d697bd2134700f5",
"guest_name": "dom",
"email": "test@akubela.com",
"phone": "1234567",
"id_card": "1234567890",
"passport": ""
}
]
}
}
Failure Return Example
Create Order Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| residence_id | String | Body | Yes | Residence ID |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
| guest | Object<guest> | Body | Yes | Guest information |
| source | String | Body | Yes | Source |
| remark | String | Body | Yes | Remark |
| enable_booking | Boolean | Body | Yes | Whether the booking is enable or not? true: enable false: disable |
guest description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| guest_name | String | Body | Yes | Guest name |
| String | Body | Yes | ||
| phone | String | Body | Yes | Phone |
| id_card | String | Body | Yes | ID card |
| passport | String | Body | Yes | Passport |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| order_id | String | Body | Order ID |
| order_number | String | Body | Order number |
| guest_id | String | Body | Guest ID |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "create_order_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"residence_id": "rorx9a621c1ae77040d697bd2134700f5",
"start_time": "2025-08-06 03:00:03",
"end_time": "2025-08-06 03:30:03",
"source": "SaaS",
"remark": "",
"enable_booking": false,
"guest": {
"guest_name": "dom",
"email": "test@akubela.com",
"phone": "1234567",
"id_card": "1234567890",
"passport": ""
}
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {
"order_id": "r2a621c1ae77040d697bd2134700f57e2",
"order_number": "20250725064924573993",
"guest_id": "gorx9a621c1ae77040d697bd2134700f5"
}
}
Failure Return Example
Update Order Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| order_id | String | Body | Yes | Order ID |
| residence_id | String | Body | Yes | Residence ID |
| room_type_id | String | Body | Yes | Room type ID |
| start_time | String | Body | Yes | Start time, UTC |
| finish_time | String | Body | Yes | Finish time, UTC |
| order_state | String | Body | Yes | Order state, check_in or checked_out or checked_out |
| source | String | Body | Yes | Source |
| remark | String | Body | Yes | Remark |
| enable_booking | Boolean | Body | Yes | Whether the booking is enable or not? true: enable false: disable |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "update_order_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"order_id": "o2a621c1ae77040d697bd2134700f57e1",
"residence_id": "rorx9a621c1ae77040d697bd2134700f5",
"room_type_id": "rorx9a621c1ae77040d697bd2134700fg",
"start_time": "2025-08-06 03:00:03",
"end_time": "2025-08-06 03:30:03",
"order_state": "check_in",
"source": "SaaS",
"remark": "",
"enable_booking": false
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}
Failure Return Example
Delete Order Information
Request URL
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| order_id | String | Body | Yes | Order ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/hotel-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "delete_order_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"order_id": "orbr2c4b070cc928496198944858b343f"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}